Skip to main content
PATCH
/
invoice-items
/
{id}
Update an invoice item
curl --request PATCH \
  --url https://www.ruddr.io/api/workspace/invoice-items/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "isActive": true,
  "typeId": "<string>"
}
'
{
  "id": "c9f2e5b3-6d78-9a01-2b34-5c6d7e8f9a0b",
  "name": "Professional Services",
  "isActive": true,
  "typeId": "income",
  "readOnly": false,
  "createdAt": "2024-03-15T14:22:31.847Z"
}
A charge category assigned to invoice line items, such as “Service” or “Expense”. Every line item on an invoice must have an invoice item.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The invoice item uuid

Body

application/json
name
string

The name of the invoice item.

isActive
boolean

Whether the invoice item is active.

typeId
string

The type of the invoice item. Can be either income or expense.

Response

200

id
string

The unique identifier for the object.

name
string

The name of the invoice item.

isActive
boolean

Whether the invoice item is active.

typeId
string

The type of the invoice item. Can be either income or expense.

readOnly
boolean

Whether the invoice item is read-only. System-created invoice items cannot be modified or deleted.

createdAt
string<date-time>

The timestamp when the object was created.